Package org.kapott.hbci.GV

# Class AbstractMultiGV

java.lang.Object
org.kapott.hbci.GV.HBCIJobImpl
org.kapott.hbci.GV.AbstractMultiGV

All Implemented Interfaces:
  `HBCIJob`

Direct Known Subclasses:
  `GVMultiLast`, `GVMultiUeb`

public abstract class AbstractMultiGV extends HBCIJobImpl

## Field Summary

### Fields inherited from class org.kapott.hbci.GV.HBCIJobImpl

`jobResult`

## Constructor Summary

Constructors
Constructor
Description
`AbstractMultiGV(HBCIHandler handler, String jobnameLL, HBCIJobResultImpl jobResult)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getChallengeParam(String path)`

### Methods inherited from class org.kapott.hbci.GV.HBCIJobImpl

`acceptsParam, addConstraint, addConstraint, addSignaturePassport, addToQueue, addToQueue, applyOffset, canNationalAcc, checkAccountCRC, createJobSegment, createJobSegment, extractResults, fillJobResult, fillJobResultFromTanJob, getExternalId, getHBCICode, getJobName, getJobParameterNames, getJobRestrictions, getJobResult, getJobResultNames, getLowlevelParam, getLowlevelParams, getMainPassport, getMaxNumberPerMsg, getMinSigs, getName, getOrderAccount, getParentHandler, getSecurityClass, getSegVersion, getSignaturePassports, haveTan, redo, redoAllowed, saveReturnValues, setExternalId, setIdx, setLowlevelParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setSegVersion, skip, skipped, tanApplied, twoDigitValueInList, verifyConstraints`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractMultiGV

public AbstractMultiGV(HBCIHandler handler, String jobnameLL, HBCIJobResultImpl jobResult)

## Method Details

### getChallengeParam

public String getChallengeParam(String path)

Overrides:
  `getChallengeParam` in class `HBCIJobImpl`